package lib.dwfl;

public class DwOpEncodings
  implements Comparable
{
  private final String enumString;
  private final int enumValue;
  private final String enumPrint;
  private final String enumName;
  private DwOpEncodings (int value, String string, String print, String name)
  {
    enumString = string;
    enumValue = value;
    enumPrint = print;
    enumName = name;
  }
  /** Return the qualified name of the enum.  */
  public String toString ()
  {
    return enumString;
  }
  /** Return a printable version of the enum.  */
  public String toPrint ()
  {
    return enumPrint;
  }
  /** Return the name of just the enum.  */
  public String toName ()
  {
    return enumName;
  }
  public boolean equals (Object o)
  {
    if (o instanceof DwOpEncodings)
      return ((DwOpEncodings) o).enumValue == this.enumValue;
    else
      return false;
  }
  public int hashCode ()
  {
    return enumValue;
  }
  public int compareTo (Object o)
  {
    DwOpEncodings rhs = (DwOpEncodings) o; // Can throw - ok.
    return rhs.enumValue - this.enumValue;
  }
  static public final int DW_OP_addr_ = 0x03;
  static public final DwOpEncodings DW_OP_addr = new DwOpEncodings (0x03, "DwOpEncodings_DW_OP_addr", "DW OP addr", "DW_OP_addr");
  static public final int DW_OP_deref_ = 0x06;
  static public final DwOpEncodings DW_OP_deref = new DwOpEncodings (0x06, "DwOpEncodings_DW_OP_deref", "DW OP deref", "DW_OP_deref");
  static public final int DW_OP_const1u_ = 0x08;
  static public final DwOpEncodings DW_OP_const1u = new DwOpEncodings (0x08, "DwOpEncodings_DW_OP_const1u", "DW OP const1u", "DW_OP_const1u");
  static public final int DW_OP_const1s_ = 0x09;
  static public final DwOpEncodings DW_OP_const1s = new DwOpEncodings (0x09, "DwOpEncodings_DW_OP_const1s", "DW OP const1s", "DW_OP_const1s");
  static public final int DW_OP_const2u_ = 0x0a;
  static public final DwOpEncodings DW_OP_const2u = new DwOpEncodings (0x0a, "DwOpEncodings_DW_OP_const2u", "DW OP const2u", "DW_OP_const2u");
  static public final int DW_OP_const2s_ = 0x0b;
  static public final DwOpEncodings DW_OP_const2s = new DwOpEncodings (0x0b, "DwOpEncodings_DW_OP_const2s", "DW OP const2s", "DW_OP_const2s");
  static public final int DW_OP_const4u_ = 0x0c;
  static public final DwOpEncodings DW_OP_const4u = new DwOpEncodings (0x0c, "DwOpEncodings_DW_OP_const4u", "DW OP const4u", "DW_OP_const4u");
  static public final int DW_OP_const4s_ = 0x0d;
  static public final DwOpEncodings DW_OP_const4s = new DwOpEncodings (0x0d, "DwOpEncodings_DW_OP_const4s", "DW OP const4s", "DW_OP_const4s");
  static public final int DW_OP_const8u_ = 0x0e;
  static public final DwOpEncodings DW_OP_const8u = new DwOpEncodings (0x0e, "DwOpEncodings_DW_OP_const8u", "DW OP const8u", "DW_OP_const8u");
  static public final int DW_OP_const8s_ = 0x0f;
  static public final DwOpEncodings DW_OP_const8s = new DwOpEncodings (0x0f, "DwOpEncodings_DW_OP_const8s", "DW OP const8s", "DW_OP_const8s");
  static public final int DW_OP_constu_ = 0x10;
  static public final DwOpEncodings DW_OP_constu = new DwOpEncodings (0x10, "DwOpEncodings_DW_OP_constu", "DW OP constu", "DW_OP_constu");
  static public final int DW_OP_consts_ = 0x11;
  static public final DwOpEncodings DW_OP_consts = new DwOpEncodings (0x11, "DwOpEncodings_DW_OP_consts", "DW OP consts", "DW_OP_consts");
  static public final int DW_OP_dup_ = 0x12;
  static public final DwOpEncodings DW_OP_dup = new DwOpEncodings (0x12, "DwOpEncodings_DW_OP_dup", "DW OP dup", "DW_OP_dup");
  static public final int DW_OP_drop_ = 0x13;
  static public final DwOpEncodings DW_OP_drop = new DwOpEncodings (0x13, "DwOpEncodings_DW_OP_drop", "DW OP drop", "DW_OP_drop");
  static public final int DW_OP_over_ = 0x14;
  static public final DwOpEncodings DW_OP_over = new DwOpEncodings (0x14, "DwOpEncodings_DW_OP_over", "DW OP over", "DW_OP_over");
  static public final int DW_OP_pick_ = 0x15;
  static public final DwOpEncodings DW_OP_pick = new DwOpEncodings (0x15, "DwOpEncodings_DW_OP_pick", "DW OP pick", "DW_OP_pick");
  static public final int DW_OP_swap_ = 0x16;
  static public final DwOpEncodings DW_OP_swap = new DwOpEncodings (0x16, "DwOpEncodings_DW_OP_swap", "DW OP swap", "DW_OP_swap");
  static public final int DW_OP_rot_ = 0x17;
  static public final DwOpEncodings DW_OP_rot = new DwOpEncodings (0x17, "DwOpEncodings_DW_OP_rot", "DW OP rot", "DW_OP_rot");
  static public final int DW_OP_xderef_ = 0x18;
  static public final DwOpEncodings DW_OP_xderef = new DwOpEncodings (0x18, "DwOpEncodings_DW_OP_xderef", "DW OP xderef", "DW_OP_xderef");
  static public final int DW_OP_abs_ = 0x19;
  static public final DwOpEncodings DW_OP_abs = new DwOpEncodings (0x19, "DwOpEncodings_DW_OP_abs", "DW OP abs", "DW_OP_abs");
  static public final int DW_OP_and_ = 0x1a;
  static public final DwOpEncodings DW_OP_and = new DwOpEncodings (0x1a, "DwOpEncodings_DW_OP_and", "DW OP and", "DW_OP_and");
  static public final int DW_OP_div_ = 0x1b;
  static public final DwOpEncodings DW_OP_div = new DwOpEncodings (0x1b, "DwOpEncodings_DW_OP_div", "DW OP div", "DW_OP_div");
  static public final int DW_OP_minus_ = 0x1c;
  static public final DwOpEncodings DW_OP_minus = new DwOpEncodings (0x1c, "DwOpEncodings_DW_OP_minus", "DW OP minus", "DW_OP_minus");
  static public final int DW_OP_mod_ = 0x1d;
  static public final DwOpEncodings DW_OP_mod = new DwOpEncodings (0x1d, "DwOpEncodings_DW_OP_mod", "DW OP mod", "DW_OP_mod");
  static public final int DW_OP_mul_ = 0x1e;
  static public final DwOpEncodings DW_OP_mul = new DwOpEncodings (0x1e, "DwOpEncodings_DW_OP_mul", "DW OP mul", "DW_OP_mul");
  static public final int DW_OP_neg_ = 0x1f;
  static public final DwOpEncodings DW_OP_neg = new DwOpEncodings (0x1f, "DwOpEncodings_DW_OP_neg", "DW OP neg", "DW_OP_neg");
  static public final int DW_OP_not_ = 0x20;
  static public final DwOpEncodings DW_OP_not = new DwOpEncodings (0x20, "DwOpEncodings_DW_OP_not", "DW OP not", "DW_OP_not");
  static public final int DW_OP_or_ = 0x21;
  static public final DwOpEncodings DW_OP_or = new DwOpEncodings (0x21, "DwOpEncodings_DW_OP_or", "DW OP or", "DW_OP_or");
  static public final int DW_OP_plus_ = 0x22;
  static public final DwOpEncodings DW_OP_plus = new DwOpEncodings (0x22, "DwOpEncodings_DW_OP_plus", "DW OP plus", "DW_OP_plus");
  static public final int DW_OP_plus_uconst_ = 0x23;
  static public final DwOpEncodings DW_OP_plus_uconst = new DwOpEncodings (0x23, "DwOpEncodings_DW_OP_plus_uconst", "DW OP plus uconst", "DW_OP_plus_uconst");
  static public final int DW_OP_shl_ = 0x24;
  static public final DwOpEncodings DW_OP_shl = new DwOpEncodings (0x24, "DwOpEncodings_DW_OP_shl", "DW OP shl", "DW_OP_shl");
  static public final int DW_OP_shr_ = 0x25;
  static public final DwOpEncodings DW_OP_shr = new DwOpEncodings (0x25, "DwOpEncodings_DW_OP_shr", "DW OP shr", "DW_OP_shr");
  static public final int DW_OP_shra_ = 0x26;
  static public final DwOpEncodings DW_OP_shra = new DwOpEncodings (0x26, "DwOpEncodings_DW_OP_shra", "DW OP shra", "DW_OP_shra");
  static public final int DW_OP_xor_ = 0x27;
  static public final DwOpEncodings DW_OP_xor = new DwOpEncodings (0x27, "DwOpEncodings_DW_OP_xor", "DW OP xor", "DW_OP_xor");
  static public final int DW_OP_bra_ = 0x28;
  static public final DwOpEncodings DW_OP_bra = new DwOpEncodings (0x28, "DwOpEncodings_DW_OP_bra", "DW OP bra", "DW_OP_bra");
  static public final int DW_OP_eq_ = 0x29;
  static public final DwOpEncodings DW_OP_eq = new DwOpEncodings (0x29, "DwOpEncodings_DW_OP_eq", "DW OP eq", "DW_OP_eq");
  static public final int DW_OP_ge_ = 0x2a;
  static public final DwOpEncodings DW_OP_ge = new DwOpEncodings (0x2a, "DwOpEncodings_DW_OP_ge", "DW OP ge", "DW_OP_ge");
  static public final int DW_OP_gt_ = 0x2b;
  static public final DwOpEncodings DW_OP_gt = new DwOpEncodings (0x2b, "DwOpEncodings_DW_OP_gt", "DW OP gt", "DW_OP_gt");
  static public final int DW_OP_le_ = 0x2c;
  static public final DwOpEncodings DW_OP_le = new DwOpEncodings (0x2c, "DwOpEncodings_DW_OP_le", "DW OP le", "DW_OP_le");
  static public final int DW_OP_lt_ = 0x2d;
  static public final DwOpEncodings DW_OP_lt = new DwOpEncodings (0x2d, "DwOpEncodings_DW_OP_lt", "DW OP lt", "DW_OP_lt");
  static public final int DW_OP_ne_ = 0x2e;
  static public final DwOpEncodings DW_OP_ne = new DwOpEncodings (0x2e, "DwOpEncodings_DW_OP_ne", "DW OP ne", "DW_OP_ne");
  static public final int DW_OP_skip_ = 0x2f;
  static public final DwOpEncodings DW_OP_skip = new DwOpEncodings (0x2f, "DwOpEncodings_DW_OP_skip", "DW OP skip", "DW_OP_skip");
  static public final int DW_OP_lit0_ = 0x30;
  static public final DwOpEncodings DW_OP_lit0 = new DwOpEncodings (0x30, "DwOpEncodings_DW_OP_lit0", "DW OP lit0", "DW_OP_lit0");
  static public final int DW_OP_lit1_ = 0x31;
  static public final DwOpEncodings DW_OP_lit1 = new DwOpEncodings (0x31, "DwOpEncodings_DW_OP_lit1", "DW OP lit1", "DW_OP_lit1");
  static public final int DW_OP_lit2_ = 0x32;
  static public final DwOpEncodings DW_OP_lit2 = new DwOpEncodings (0x32, "DwOpEncodings_DW_OP_lit2", "DW OP lit2", "DW_OP_lit2");
  static public final int DW_OP_lit3_ = 0x33;
  static public final DwOpEncodings DW_OP_lit3 = new DwOpEncodings (0x33, "DwOpEncodings_DW_OP_lit3", "DW OP lit3", "DW_OP_lit3");
  static public final int DW_OP_lit4_ = 0x34;
  static public final DwOpEncodings DW_OP_lit4 = new DwOpEncodings (0x34, "DwOpEncodings_DW_OP_lit4", "DW OP lit4", "DW_OP_lit4");
  static public final int DW_OP_lit5_ = 0x35;
  static public final DwOpEncodings DW_OP_lit5 = new DwOpEncodings (0x35, "DwOpEncodings_DW_OP_lit5", "DW OP lit5", "DW_OP_lit5");
  static public final int DW_OP_lit6_ = 0x36;
  static public final DwOpEncodings DW_OP_lit6 = new DwOpEncodings (0x36, "DwOpEncodings_DW_OP_lit6", "DW OP lit6", "DW_OP_lit6");
  static public final int DW_OP_lit7_ = 0x37;
  static public final DwOpEncodings DW_OP_lit7 = new DwOpEncodings (0x37, "DwOpEncodings_DW_OP_lit7", "DW OP lit7", "DW_OP_lit7");
  static public final int DW_OP_lit8_ = 0x38;
  static public final DwOpEncodings DW_OP_lit8 = new DwOpEncodings (0x38, "DwOpEncodings_DW_OP_lit8", "DW OP lit8", "DW_OP_lit8");
  static public final int DW_OP_lit9_ = 0x39;
  static public final DwOpEncodings DW_OP_lit9 = new DwOpEncodings (0x39, "DwOpEncodings_DW_OP_lit9", "DW OP lit9", "DW_OP_lit9");
  static public final int DW_OP_lit10_ = 0x3a;
  static public final DwOpEncodings DW_OP_lit10 = new DwOpEncodings (0x3a, "DwOpEncodings_DW_OP_lit10", "DW OP lit10", "DW_OP_lit10");
  static public final int DW_OP_lit11_ = 0x3b;
  static public final DwOpEncodings DW_OP_lit11 = new DwOpEncodings (0x3b, "DwOpEncodings_DW_OP_lit11", "DW OP lit11", "DW_OP_lit11");
  static public final int DW_OP_lit12_ = 0x3c;
  static public final DwOpEncodings DW_OP_lit12 = new DwOpEncodings (0x3c, "DwOpEncodings_DW_OP_lit12", "DW OP lit12", "DW_OP_lit12");
  static public final int DW_OP_lit13_ = 0x3d;
  static public final DwOpEncodings DW_OP_lit13 = new DwOpEncodings (0x3d, "DwOpEncodings_DW_OP_lit13", "DW OP lit13", "DW_OP_lit13");
  static public final int DW_OP_lit14_ = 0x3e;
  static public final DwOpEncodings DW_OP_lit14 = new DwOpEncodings (0x3e, "DwOpEncodings_DW_OP_lit14", "DW OP lit14", "DW_OP_lit14");
  static public final int DW_OP_lit15_ = 0x3f;
  static public final DwOpEncodings DW_OP_lit15 = new DwOpEncodings (0x3f, "DwOpEncodings_DW_OP_lit15", "DW OP lit15", "DW_OP_lit15");
  static public final int DW_OP_lit16_ = 0x40;
  static public final DwOpEncodings DW_OP_lit16 = new DwOpEncodings (0x40, "DwOpEncodings_DW_OP_lit16", "DW OP lit16", "DW_OP_lit16");
  static public final int DW_OP_lit17_ = 0x41;
  static public final DwOpEncodings DW_OP_lit17 = new DwOpEncodings (0x41, "DwOpEncodings_DW_OP_lit17", "DW OP lit17", "DW_OP_lit17");
  static public final int DW_OP_lit18_ = 0x42;
  static public final DwOpEncodings DW_OP_lit18 = new DwOpEncodings (0x42, "DwOpEncodings_DW_OP_lit18", "DW OP lit18", "DW_OP_lit18");
  static public final int DW_OP_lit19_ = 0x43;
  static public final DwOpEncodings DW_OP_lit19 = new DwOpEncodings (0x43, "DwOpEncodings_DW_OP_lit19", "DW OP lit19", "DW_OP_lit19");
  static public final int DW_OP_lit20_ = 0x44;
  static public final DwOpEncodings DW_OP_lit20 = new DwOpEncodings (0x44, "DwOpEncodings_DW_OP_lit20", "DW OP lit20", "DW_OP_lit20");
  static public final int DW_OP_lit21_ = 0x45;
  static public final DwOpEncodings DW_OP_lit21 = new DwOpEncodings (0x45, "DwOpEncodings_DW_OP_lit21", "DW OP lit21", "DW_OP_lit21");
  static public final int DW_OP_lit22_ = 0x46;
  static public final DwOpEncodings DW_OP_lit22 = new DwOpEncodings (0x46, "DwOpEncodings_DW_OP_lit22", "DW OP lit22", "DW_OP_lit22");
  static public final int DW_OP_lit23_ = 0x47;
  static public final DwOpEncodings DW_OP_lit23 = new DwOpEncodings (0x47, "DwOpEncodings_DW_OP_lit23", "DW OP lit23", "DW_OP_lit23");
  static public final int DW_OP_lit24_ = 0x48;
  static public final DwOpEncodings DW_OP_lit24 = new DwOpEncodings (0x48, "DwOpEncodings_DW_OP_lit24", "DW OP lit24", "DW_OP_lit24");
  static public final int DW_OP_lit25_ = 0x49;
  static public final DwOpEncodings DW_OP_lit25 = new DwOpEncodings (0x49, "DwOpEncodings_DW_OP_lit25", "DW OP lit25", "DW_OP_lit25");
  static public final int DW_OP_lit26_ = 0x4a;
  static public final DwOpEncodings DW_OP_lit26 = new DwOpEncodings (0x4a, "DwOpEncodings_DW_OP_lit26", "DW OP lit26", "DW_OP_lit26");
  static public final int DW_OP_lit27_ = 0x4b;
  static public final DwOpEncodings DW_OP_lit27 = new DwOpEncodings (0x4b, "DwOpEncodings_DW_OP_lit27", "DW OP lit27", "DW_OP_lit27");
  static public final int DW_OP_lit28_ = 0x4c;
  static public final DwOpEncodings DW_OP_lit28 = new DwOpEncodings (0x4c, "DwOpEncodings_DW_OP_lit28", "DW OP lit28", "DW_OP_lit28");
  static public final int DW_OP_lit29_ = 0x4d;
  static public final DwOpEncodings DW_OP_lit29 = new DwOpEncodings (0x4d, "DwOpEncodings_DW_OP_lit29", "DW OP lit29", "DW_OP_lit29");
  static public final int DW_OP_lit30_ = 0x4e;
  static public final DwOpEncodings DW_OP_lit30 = new DwOpEncodings (0x4e, "DwOpEncodings_DW_OP_lit30", "DW OP lit30", "DW_OP_lit30");
  static public final int DW_OP_lit31_ = 0x4f;
  static public final DwOpEncodings DW_OP_lit31 = new DwOpEncodings (0x4f, "DwOpEncodings_DW_OP_lit31", "DW OP lit31", "DW_OP_lit31");
  static public final int DW_OP_reg0_ = 0x50;
  static public final DwOpEncodings DW_OP_reg0 = new DwOpEncodings (0x50, "DwOpEncodings_DW_OP_reg0", "DW OP reg0", "DW_OP_reg0");
  static public final int DW_OP_reg1_ = 0x51;
  static public final DwOpEncodings DW_OP_reg1 = new DwOpEncodings (0x51, "DwOpEncodings_DW_OP_reg1", "DW OP reg1", "DW_OP_reg1");
  static public final int DW_OP_reg2_ = 0x52;
  static public final DwOpEncodings DW_OP_reg2 = new DwOpEncodings (0x52, "DwOpEncodings_DW_OP_reg2", "DW OP reg2", "DW_OP_reg2");
  static public final int DW_OP_reg3_ = 0x53;
  static public final DwOpEncodings DW_OP_reg3 = new DwOpEncodings (0x53, "DwOpEncodings_DW_OP_reg3", "DW OP reg3", "DW_OP_reg3");
  static public final int DW_OP_reg4_ = 0x54;
  static public final DwOpEncodings DW_OP_reg4 = new DwOpEncodings (0x54, "DwOpEncodings_DW_OP_reg4", "DW OP reg4", "DW_OP_reg4");
  static public final int DW_OP_reg5_ = 0x55;
  static public final DwOpEncodings DW_OP_reg5 = new DwOpEncodings (0x55, "DwOpEncodings_DW_OP_reg5", "DW OP reg5", "DW_OP_reg5");
  static public final int DW_OP_reg6_ = 0x56;
  static public final DwOpEncodings DW_OP_reg6 = new DwOpEncodings (0x56, "DwOpEncodings_DW_OP_reg6", "DW OP reg6", "DW_OP_reg6");
  static public final int DW_OP_reg7_ = 0x57;
  static public final DwOpEncodings DW_OP_reg7 = new DwOpEncodings (0x57, "DwOpEncodings_DW_OP_reg7", "DW OP reg7", "DW_OP_reg7");
  static public final int DW_OP_reg8_ = 0x58;
  static public final DwOpEncodings DW_OP_reg8 = new DwOpEncodings (0x58, "DwOpEncodings_DW_OP_reg8", "DW OP reg8", "DW_OP_reg8");
  static public final int DW_OP_reg9_ = 0x59;
  static public final DwOpEncodings DW_OP_reg9 = new DwOpEncodings (0x59, "DwOpEncodings_DW_OP_reg9", "DW OP reg9", "DW_OP_reg9");
  static public final int DW_OP_reg10_ = 0x5a;
  static public final DwOpEncodings DW_OP_reg10 = new DwOpEncodings (0x5a, "DwOpEncodings_DW_OP_reg10", "DW OP reg10", "DW_OP_reg10");
  static public final int DW_OP_reg11_ = 0x5b;
  static public final DwOpEncodings DW_OP_reg11 = new DwOpEncodings (0x5b, "DwOpEncodings_DW_OP_reg11", "DW OP reg11", "DW_OP_reg11");
  static public final int DW_OP_reg12_ = 0x5c;
  static public final DwOpEncodings DW_OP_reg12 = new DwOpEncodings (0x5c, "DwOpEncodings_DW_OP_reg12", "DW OP reg12", "DW_OP_reg12");
  static public final int DW_OP_reg13_ = 0x5d;
  static public final DwOpEncodings DW_OP_reg13 = new DwOpEncodings (0x5d, "DwOpEncodings_DW_OP_reg13", "DW OP reg13", "DW_OP_reg13");
  static public final int DW_OP_reg14_ = 0x5e;
  static public final DwOpEncodings DW_OP_reg14 = new DwOpEncodings (0x5e, "DwOpEncodings_DW_OP_reg14", "DW OP reg14", "DW_OP_reg14");
  static public final int DW_OP_reg15_ = 0x5f;
  static public final DwOpEncodings DW_OP_reg15 = new DwOpEncodings (0x5f, "DwOpEncodings_DW_OP_reg15", "DW OP reg15", "DW_OP_reg15");
  static public final int DW_OP_reg16_ = 0x60;
  static public final DwOpEncodings DW_OP_reg16 = new DwOpEncodings (0x60, "DwOpEncodings_DW_OP_reg16", "DW OP reg16", "DW_OP_reg16");
  static public final int DW_OP_reg17_ = 0x61;
  static public final DwOpEncodings DW_OP_reg17 = new DwOpEncodings (0x61, "DwOpEncodings_DW_OP_reg17", "DW OP reg17", "DW_OP_reg17");
  static public final int DW_OP_reg18_ = 0x62;
  static public final DwOpEncodings DW_OP_reg18 = new DwOpEncodings (0x62, "DwOpEncodings_DW_OP_reg18", "DW OP reg18", "DW_OP_reg18");
  static public final int DW_OP_reg19_ = 0x63;
  static public final DwOpEncodings DW_OP_reg19 = new DwOpEncodings (0x63, "DwOpEncodings_DW_OP_reg19", "DW OP reg19", "DW_OP_reg19");
  static public final int DW_OP_reg20_ = 0x64;
  static public final DwOpEncodings DW_OP_reg20 = new DwOpEncodings (0x64, "DwOpEncodings_DW_OP_reg20", "DW OP reg20", "DW_OP_reg20");
  static public final int DW_OP_reg21_ = 0x65;
  static public final DwOpEncodings DW_OP_reg21 = new DwOpEncodings (0x65, "DwOpEncodings_DW_OP_reg21", "DW OP reg21", "DW_OP_reg21");
  static public final int DW_OP_reg22_ = 0x66;
  static public final DwOpEncodings DW_OP_reg22 = new DwOpEncodings (0x66, "DwOpEncodings_DW_OP_reg22", "DW OP reg22", "DW_OP_reg22");
  static public final int DW_OP_reg23_ = 0x67;
  static public final DwOpEncodings DW_OP_reg23 = new DwOpEncodings (0x67, "DwOpEncodings_DW_OP_reg23", "DW OP reg23", "DW_OP_reg23");
  static public final int DW_OP_reg24_ = 0x68;
  static public final DwOpEncodings DW_OP_reg24 = new DwOpEncodings (0x68, "DwOpEncodings_DW_OP_reg24", "DW OP reg24", "DW_OP_reg24");
  static public final int DW_OP_reg25_ = 0x69;
  static public final DwOpEncodings DW_OP_reg25 = new DwOpEncodings (0x69, "DwOpEncodings_DW_OP_reg25", "DW OP reg25", "DW_OP_reg25");
  static public final int DW_OP_reg26_ = 0x6a;
  static public final DwOpEncodings DW_OP_reg26 = new DwOpEncodings (0x6a, "DwOpEncodings_DW_OP_reg26", "DW OP reg26", "DW_OP_reg26");
  static public final int DW_OP_reg27_ = 0x6b;
  static public final DwOpEncodings DW_OP_reg27 = new DwOpEncodings (0x6b, "DwOpEncodings_DW_OP_reg27", "DW OP reg27", "DW_OP_reg27");
  static public final int DW_OP_reg28_ = 0x6c;
  static public final DwOpEncodings DW_OP_reg28 = new DwOpEncodings (0x6c, "DwOpEncodings_DW_OP_reg28", "DW OP reg28", "DW_OP_reg28");
  static public final int DW_OP_reg29_ = 0x6d;
  static public final DwOpEncodings DW_OP_reg29 = new DwOpEncodings (0x6d, "DwOpEncodings_DW_OP_reg29", "DW OP reg29", "DW_OP_reg29");
  static public final int DW_OP_reg30_ = 0x6e;
  static public final DwOpEncodings DW_OP_reg30 = new DwOpEncodings (0x6e, "DwOpEncodings_DW_OP_reg30", "DW OP reg30", "DW_OP_reg30");
  static public final int DW_OP_reg31_ = 0x6f;
  static public final DwOpEncodings DW_OP_reg31 = new DwOpEncodings (0x6f, "DwOpEncodings_DW_OP_reg31", "DW OP reg31", "DW_OP_reg31");
  static public final int DW_OP_breg0_ = 0x70;
  static public final DwOpEncodings DW_OP_breg0 = new DwOpEncodings (0x70, "DwOpEncodings_DW_OP_breg0", "DW OP breg0", "DW_OP_breg0");
  static public final int DW_OP_breg1_ = 0x71;
  static public final DwOpEncodings DW_OP_breg1 = new DwOpEncodings (0x71, "DwOpEncodings_DW_OP_breg1", "DW OP breg1", "DW_OP_breg1");
  static public final int DW_OP_breg2_ = 0x72;
  static public final DwOpEncodings DW_OP_breg2 = new DwOpEncodings (0x72, "DwOpEncodings_DW_OP_breg2", "DW OP breg2", "DW_OP_breg2");
  static public final int DW_OP_breg3_ = 0x73;
  static public final DwOpEncodings DW_OP_breg3 = new DwOpEncodings (0x73, "DwOpEncodings_DW_OP_breg3", "DW OP breg3", "DW_OP_breg3");
  static public final int DW_OP_breg4_ = 0x74;
  static public final DwOpEncodings DW_OP_breg4 = new DwOpEncodings (0x74, "DwOpEncodings_DW_OP_breg4", "DW OP breg4", "DW_OP_breg4");
  static public final int DW_OP_breg5_ = 0x75;
  static public final DwOpEncodings DW_OP_breg5 = new DwOpEncodings (0x75, "DwOpEncodings_DW_OP_breg5", "DW OP breg5", "DW_OP_breg5");
  static public final int DW_OP_breg6_ = 0x76;
  static public final DwOpEncodings DW_OP_breg6 = new DwOpEncodings (0x76, "DwOpEncodings_DW_OP_breg6", "DW OP breg6", "DW_OP_breg6");
  static public final int DW_OP_breg7_ = 0x77;
  static public final DwOpEncodings DW_OP_breg7 = new DwOpEncodings (0x77, "DwOpEncodings_DW_OP_breg7", "DW OP breg7", "DW_OP_breg7");
  static public final int DW_OP_breg8_ = 0x78;
  static public final DwOpEncodings DW_OP_breg8 = new DwOpEncodings (0x78, "DwOpEncodings_DW_OP_breg8", "DW OP breg8", "DW_OP_breg8");
  static public final int DW_OP_breg9_ = 0x79;
  static public final DwOpEncodings DW_OP_breg9 = new DwOpEncodings (0x79, "DwOpEncodings_DW_OP_breg9", "DW OP breg9", "DW_OP_breg9");
  static public final int DW_OP_breg10_ = 0x7a;
  static public final DwOpEncodings DW_OP_breg10 = new DwOpEncodings (0x7a, "DwOpEncodings_DW_OP_breg10", "DW OP breg10", "DW_OP_breg10");
  static public final int DW_OP_breg11_ = 0x7b;
  static public final DwOpEncodings DW_OP_breg11 = new DwOpEncodings (0x7b, "DwOpEncodings_DW_OP_breg11", "DW OP breg11", "DW_OP_breg11");
  static public final int DW_OP_breg12_ = 0x7c;
  static public final DwOpEncodings DW_OP_breg12 = new DwOpEncodings (0x7c, "DwOpEncodings_DW_OP_breg12", "DW OP breg12", "DW_OP_breg12");
  static public final int DW_OP_breg13_ = 0x7d;
  static public final DwOpEncodings DW_OP_breg13 = new DwOpEncodings (0x7d, "DwOpEncodings_DW_OP_breg13", "DW OP breg13", "DW_OP_breg13");
  static public final int DW_OP_breg14_ = 0x7e;
  static public final DwOpEncodings DW_OP_breg14 = new DwOpEncodings (0x7e, "DwOpEncodings_DW_OP_breg14", "DW OP breg14", "DW_OP_breg14");
  static public final int DW_OP_breg15_ = 0x7f;
  static public final DwOpEncodings DW_OP_breg15 = new DwOpEncodings (0x7f, "DwOpEncodings_DW_OP_breg15", "DW OP breg15", "DW_OP_breg15");
  static public final int DW_OP_breg16_ = 0x80;
  static public final DwOpEncodings DW_OP_breg16 = new DwOpEncodings (0x80, "DwOpEncodings_DW_OP_breg16", "DW OP breg16", "DW_OP_breg16");
  static public final int DW_OP_breg17_ = 0x81;
  static public final DwOpEncodings DW_OP_breg17 = new DwOpEncodings (0x81, "DwOpEncodings_DW_OP_breg17", "DW OP breg17", "DW_OP_breg17");
  static public final int DW_OP_breg18_ = 0x82;
  static public final DwOpEncodings DW_OP_breg18 = new DwOpEncodings (0x82, "DwOpEncodings_DW_OP_breg18", "DW OP breg18", "DW_OP_breg18");
  static public final int DW_OP_breg19_ = 0x83;
  static public final DwOpEncodings DW_OP_breg19 = new DwOpEncodings (0x83, "DwOpEncodings_DW_OP_breg19", "DW OP breg19", "DW_OP_breg19");
  static public final int DW_OP_breg20_ = 0x84;
  static public final DwOpEncodings DW_OP_breg20 = new DwOpEncodings (0x84, "DwOpEncodings_DW_OP_breg20", "DW OP breg20", "DW_OP_breg20");
  static public final int DW_OP_breg21_ = 0x85;
  static public final DwOpEncodings DW_OP_breg21 = new DwOpEncodings (0x85, "DwOpEncodings_DW_OP_breg21", "DW OP breg21", "DW_OP_breg21");
  static public final int DW_OP_breg22_ = 0x86;
  static public final DwOpEncodings DW_OP_breg22 = new DwOpEncodings (0x86, "DwOpEncodings_DW_OP_breg22", "DW OP breg22", "DW_OP_breg22");
  static public final int DW_OP_breg23_ = 0x87;
  static public final DwOpEncodings DW_OP_breg23 = new DwOpEncodings (0x87, "DwOpEncodings_DW_OP_breg23", "DW OP breg23", "DW_OP_breg23");
  static public final int DW_OP_breg24_ = 0x88;
  static public final DwOpEncodings DW_OP_breg24 = new DwOpEncodings (0x88, "DwOpEncodings_DW_OP_breg24", "DW OP breg24", "DW_OP_breg24");
  static public final int DW_OP_breg25_ = 0x89;
  static public final DwOpEncodings DW_OP_breg25 = new DwOpEncodings (0x89, "DwOpEncodings_DW_OP_breg25", "DW OP breg25", "DW_OP_breg25");
  static public final int DW_OP_breg26_ = 0x8a;
  static public final DwOpEncodings DW_OP_breg26 = new DwOpEncodings (0x8a, "DwOpEncodings_DW_OP_breg26", "DW OP breg26", "DW_OP_breg26");
  static public final int DW_OP_breg27_ = 0x8b;
  static public final DwOpEncodings DW_OP_breg27 = new DwOpEncodings (0x8b, "DwOpEncodings_DW_OP_breg27", "DW OP breg27", "DW_OP_breg27");
  static public final int DW_OP_breg28_ = 0x8c;
  static public final DwOpEncodings DW_OP_breg28 = new DwOpEncodings (0x8c, "DwOpEncodings_DW_OP_breg28", "DW OP breg28", "DW_OP_breg28");
  static public final int DW_OP_breg29_ = 0x8d;
  static public final DwOpEncodings DW_OP_breg29 = new DwOpEncodings (0x8d, "DwOpEncodings_DW_OP_breg29", "DW OP breg29", "DW_OP_breg29");
  static public final int DW_OP_breg30_ = 0x8e;
  static public final DwOpEncodings DW_OP_breg30 = new DwOpEncodings (0x8e, "DwOpEncodings_DW_OP_breg30", "DW OP breg30", "DW_OP_breg30");
  static public final int DW_OP_breg31_ = 0x8f;
  static public final DwOpEncodings DW_OP_breg31 = new DwOpEncodings (0x8f, "DwOpEncodings_DW_OP_breg31", "DW OP breg31", "DW_OP_breg31");
  static public final int DW_OP_regx_ = 0x90;
  static public final DwOpEncodings DW_OP_regx = new DwOpEncodings (0x90, "DwOpEncodings_DW_OP_regx", "DW OP regx", "DW_OP_regx");
  static public final int DW_OP_fbreg_ = 0x91;
  static public final DwOpEncodings DW_OP_fbreg = new DwOpEncodings (0x91, "DwOpEncodings_DW_OP_fbreg", "DW OP fbreg", "DW_OP_fbreg");
  static public final int DW_OP_bregx_ = 0x92;
  static public final DwOpEncodings DW_OP_bregx = new DwOpEncodings (0x92, "DwOpEncodings_DW_OP_bregx", "DW OP bregx", "DW_OP_bregx");
  static public final int DW_OP_piece_ = 0x93;
  static public final DwOpEncodings DW_OP_piece = new DwOpEncodings (0x93, "DwOpEncodings_DW_OP_piece", "DW OP piece", "DW_OP_piece");
  static public final int DW_OP_deref_size_ = 0x94;
  static public final DwOpEncodings DW_OP_deref_size = new DwOpEncodings (0x94, "DwOpEncodings_DW_OP_deref_size", "DW OP deref size", "DW_OP_deref_size");
  static public final int DW_OP_xderef_size_ = 0x95;
  static public final DwOpEncodings DW_OP_xderef_size = new DwOpEncodings (0x95, "DwOpEncodings_DW_OP_xderef_size", "DW OP xderef size", "DW_OP_xderef_size");
  static public final int DW_OP_nop_ = 0x96;
  static public final DwOpEncodings DW_OP_nop = new DwOpEncodings (0x96, "DwOpEncodings_DW_OP_nop", "DW OP nop", "DW_OP_nop");
  static public final int DW_OP_push_object_address_ = 0x97;
  static public final DwOpEncodings DW_OP_push_object_address = new DwOpEncodings (0x97, "DwOpEncodings_DW_OP_push_object_address", "DW OP push object address", "DW_OP_push_object_address");
  static public final int DW_OP_call2_ = 0x98;
  static public final DwOpEncodings DW_OP_call2 = new DwOpEncodings (0x98, "DwOpEncodings_DW_OP_call2", "DW OP call2", "DW_OP_call2");
  static public final int DW_OP_call4_ = 0x99;
  static public final DwOpEncodings DW_OP_call4 = new DwOpEncodings (0x99, "DwOpEncodings_DW_OP_call4", "DW OP call4", "DW_OP_call4");
  static public final int DW_OP_call_ref_ = 0x9a;
  static public final DwOpEncodings DW_OP_call_ref = new DwOpEncodings (0x9a, "DwOpEncodings_DW_OP_call_ref", "DW OP call ref", "DW_OP_call_ref");
  static public final int DW_OP_form_tls_address_ = 0x9b;
  static public final DwOpEncodings DW_OP_form_tls_address = new DwOpEncodings (0x9b, "DwOpEncodings_DW_OP_form_tls_address", "DW OP form tls address", "DW_OP_form_tls_address");
  static public final int DW_OP_call_frame_cfa_ = 0x9c;
  static public final DwOpEncodings DW_OP_call_frame_cfa = new DwOpEncodings (0x9c, "DwOpEncodings_DW_OP_call_frame_cfa", "DW OP call frame cfa", "DW_OP_call_frame_cfa");
  static public final int DW_OP_bit_piece_ = 0x9d;
  static public final DwOpEncodings DW_OP_bit_piece = new DwOpEncodings (0x9d, "DwOpEncodings_DW_OP_bit_piece", "DW OP bit piece", "DW_OP_bit_piece");
  static public final int DW_OP_lo_user_ = 0xe0;
  static public final DwOpEncodings DW_OP_lo_user = new DwOpEncodings (0xe0, "DwOpEncodings_DW_OP_lo_user", "DW OP lo user", "DW_OP_lo_user");
  static public final int DW_OP_hi_user_ = 0xff;
  static public final DwOpEncodings DW_OP_hi_user = new DwOpEncodings (0xff, "DwOpEncodings_DW_OP_hi_user", "DW OP hi user", "DW_OP_hi_user");

  /** Create a HashMap containing all the DwOpEncodings elements.  */
  private static java.util.Map getMap ()
  {
    java.util.Map map;
    map = new java.util.HashMap ();
    map.put (DW_OP_addr.enumString, DW_OP_addr);
    map.put (DW_OP_deref.enumString, DW_OP_deref);
    map.put (DW_OP_const1u.enumString, DW_OP_const1u);
    map.put (DW_OP_const1s.enumString, DW_OP_const1s);
    map.put (DW_OP_const2u.enumString, DW_OP_const2u);
    map.put (DW_OP_const2s.enumString, DW_OP_const2s);
    map.put (DW_OP_const4u.enumString, DW_OP_const4u);
    map.put (DW_OP_const4s.enumString, DW_OP_const4s);
    map.put (DW_OP_const8u.enumString, DW_OP_const8u);
    map.put (DW_OP_const8s.enumString, DW_OP_const8s);
    map.put (DW_OP_constu.enumString, DW_OP_constu);
    map.put (DW_OP_consts.enumString, DW_OP_consts);
    map.put (DW_OP_dup.enumString, DW_OP_dup);
    map.put (DW_OP_drop.enumString, DW_OP_drop);
    map.put (DW_OP_over.enumString, DW_OP_over);
    map.put (DW_OP_pick.enumString, DW_OP_pick);
    map.put (DW_OP_swap.enumString, DW_OP_swap);
    map.put (DW_OP_rot.enumString, DW_OP_rot);
    map.put (DW_OP_xderef.enumString, DW_OP_xderef);
    map.put (DW_OP_abs.enumString, DW_OP_abs);
    map.put (DW_OP_and.enumString, DW_OP_and);
    map.put (DW_OP_div.enumString, DW_OP_div);
    map.put (DW_OP_minus.enumString, DW_OP_minus);
    map.put (DW_OP_mod.enumString, DW_OP_mod);
    map.put (DW_OP_mul.enumString, DW_OP_mul);
    map.put (DW_OP_neg.enumString, DW_OP_neg);
    map.put (DW_OP_not.enumString, DW_OP_not);
    map.put (DW_OP_or.enumString, DW_OP_or);
    map.put (DW_OP_plus.enumString, DW_OP_plus);
    map.put (DW_OP_plus_uconst.enumString, DW_OP_plus_uconst);
    map.put (DW_OP_shl.enumString, DW_OP_shl);
    map.put (DW_OP_shr.enumString, DW_OP_shr);
    map.put (DW_OP_shra.enumString, DW_OP_shra);
    map.put (DW_OP_xor.enumString, DW_OP_xor);
    map.put (DW_OP_bra.enumString, DW_OP_bra);
    map.put (DW_OP_eq.enumString, DW_OP_eq);
    map.put (DW_OP_ge.enumString, DW_OP_ge);
    map.put (DW_OP_gt.enumString, DW_OP_gt);
    map.put (DW_OP_le.enumString, DW_OP_le);
    map.put (DW_OP_lt.enumString, DW_OP_lt);
    map.put (DW_OP_ne.enumString, DW_OP_ne);
    map.put (DW_OP_skip.enumString, DW_OP_skip);
    map.put (DW_OP_lit0.enumString, DW_OP_lit0);
    map.put (DW_OP_lit1.enumString, DW_OP_lit1);
    map.put (DW_OP_lit2.enumString, DW_OP_lit2);
    map.put (DW_OP_lit3.enumString, DW_OP_lit3);
    map.put (DW_OP_lit4.enumString, DW_OP_lit4);
    map.put (DW_OP_lit5.enumString, DW_OP_lit5);
    map.put (DW_OP_lit6.enumString, DW_OP_lit6);
    map.put (DW_OP_lit7.enumString, DW_OP_lit7);
    map.put (DW_OP_lit8.enumString, DW_OP_lit8);
    map.put (DW_OP_lit9.enumString, DW_OP_lit9);
    map.put (DW_OP_lit10.enumString, DW_OP_lit10);
    map.put (DW_OP_lit11.enumString, DW_OP_lit11);
    map.put (DW_OP_lit12.enumString, DW_OP_lit12);
    map.put (DW_OP_lit13.enumString, DW_OP_lit13);
    map.put (DW_OP_lit14.enumString, DW_OP_lit14);
    map.put (DW_OP_lit15.enumString, DW_OP_lit15);
    map.put (DW_OP_lit16.enumString, DW_OP_lit16);
    map.put (DW_OP_lit17.enumString, DW_OP_lit17);
    map.put (DW_OP_lit18.enumString, DW_OP_lit18);
    map.put (DW_OP_lit19.enumString, DW_OP_lit19);
    map.put (DW_OP_lit20.enumString, DW_OP_lit20);
    map.put (DW_OP_lit21.enumString, DW_OP_lit21);
    map.put (DW_OP_lit22.enumString, DW_OP_lit22);
    map.put (DW_OP_lit23.enumString, DW_OP_lit23);
    map.put (DW_OP_lit24.enumString, DW_OP_lit24);
    map.put (DW_OP_lit25.enumString, DW_OP_lit25);
    map.put (DW_OP_lit26.enumString, DW_OP_lit26);
    map.put (DW_OP_lit27.enumString, DW_OP_lit27);
    map.put (DW_OP_lit28.enumString, DW_OP_lit28);
    map.put (DW_OP_lit29.enumString, DW_OP_lit29);
    map.put (DW_OP_lit30.enumString, DW_OP_lit30);
    map.put (DW_OP_lit31.enumString, DW_OP_lit31);
    map.put (DW_OP_reg0.enumString, DW_OP_reg0);
    map.put (DW_OP_reg1.enumString, DW_OP_reg1);
    map.put (DW_OP_reg2.enumString, DW_OP_reg2);
    map.put (DW_OP_reg3.enumString, DW_OP_reg3);
    map.put (DW_OP_reg4.enumString, DW_OP_reg4);
    map.put (DW_OP_reg5.enumString, DW_OP_reg5);
    map.put (DW_OP_reg6.enumString, DW_OP_reg6);
    map.put (DW_OP_reg7.enumString, DW_OP_reg7);
    map.put (DW_OP_reg8.enumString, DW_OP_reg8);
    map.put (DW_OP_reg9.enumString, DW_OP_reg9);
    map.put (DW_OP_reg10.enumString, DW_OP_reg10);
    map.put (DW_OP_reg11.enumString, DW_OP_reg11);
    map.put (DW_OP_reg12.enumString, DW_OP_reg12);
    map.put (DW_OP_reg13.enumString, DW_OP_reg13);
    map.put (DW_OP_reg14.enumString, DW_OP_reg14);
    map.put (DW_OP_reg15.enumString, DW_OP_reg15);
    map.put (DW_OP_reg16.enumString, DW_OP_reg16);
    map.put (DW_OP_reg17.enumString, DW_OP_reg17);
    map.put (DW_OP_reg18.enumString, DW_OP_reg18);
    map.put (DW_OP_reg19.enumString, DW_OP_reg19);
    map.put (DW_OP_reg20.enumString, DW_OP_reg20);
    map.put (DW_OP_reg21.enumString, DW_OP_reg21);
    map.put (DW_OP_reg22.enumString, DW_OP_reg22);
    map.put (DW_OP_reg23.enumString, DW_OP_reg23);
    map.put (DW_OP_reg24.enumString, DW_OP_reg24);
    map.put (DW_OP_reg25.enumString, DW_OP_reg25);
    map.put (DW_OP_reg26.enumString, DW_OP_reg26);
    map.put (DW_OP_reg27.enumString, DW_OP_reg27);
    map.put (DW_OP_reg28.enumString, DW_OP_reg28);
    map.put (DW_OP_reg29.enumString, DW_OP_reg29);
    map.put (DW_OP_reg30.enumString, DW_OP_reg30);
    map.put (DW_OP_reg31.enumString, DW_OP_reg31);
    map.put (DW_OP_breg0.enumString, DW_OP_breg0);
    map.put (DW_OP_breg1.enumString, DW_OP_breg1);
    map.put (DW_OP_breg2.enumString, DW_OP_breg2);
    map.put (DW_OP_breg3.enumString, DW_OP_breg3);
    map.put (DW_OP_breg4.enumString, DW_OP_breg4);
    map.put (DW_OP_breg5.enumString, DW_OP_breg5);
    map.put (DW_OP_breg6.enumString, DW_OP_breg6);
    map.put (DW_OP_breg7.enumString, DW_OP_breg7);
    map.put (DW_OP_breg8.enumString, DW_OP_breg8);
    map.put (DW_OP_breg9.enumString, DW_OP_breg9);
    map.put (DW_OP_breg10.enumString, DW_OP_breg10);
    map.put (DW_OP_breg11.enumString, DW_OP_breg11);
    map.put (DW_OP_breg12.enumString, DW_OP_breg12);
    map.put (DW_OP_breg13.enumString, DW_OP_breg13);
    map.put (DW_OP_breg14.enumString, DW_OP_breg14);
    map.put (DW_OP_breg15.enumString, DW_OP_breg15);
    map.put (DW_OP_breg16.enumString, DW_OP_breg16);
    map.put (DW_OP_breg17.enumString, DW_OP_breg17);
    map.put (DW_OP_breg18.enumString, DW_OP_breg18);
    map.put (DW_OP_breg19.enumString, DW_OP_breg19);
    map.put (DW_OP_breg20.enumString, DW_OP_breg20);
    map.put (DW_OP_breg21.enumString, DW_OP_breg21);
    map.put (DW_OP_breg22.enumString, DW_OP_breg22);
    map.put (DW_OP_breg23.enumString, DW_OP_breg23);
    map.put (DW_OP_breg24.enumString, DW_OP_breg24);
    map.put (DW_OP_breg25.enumString, DW_OP_breg25);
    map.put (DW_OP_breg26.enumString, DW_OP_breg26);
    map.put (DW_OP_breg27.enumString, DW_OP_breg27);
    map.put (DW_OP_breg28.enumString, DW_OP_breg28);
    map.put (DW_OP_breg29.enumString, DW_OP_breg29);
    map.put (DW_OP_breg30.enumString, DW_OP_breg30);
    map.put (DW_OP_breg31.enumString, DW_OP_breg31);
    map.put (DW_OP_regx.enumString, DW_OP_regx);
    map.put (DW_OP_fbreg.enumString, DW_OP_fbreg);
    map.put (DW_OP_bregx.enumString, DW_OP_bregx);
    map.put (DW_OP_piece.enumString, DW_OP_piece);
    map.put (DW_OP_deref_size.enumString, DW_OP_deref_size);
    map.put (DW_OP_xderef_size.enumString, DW_OP_xderef_size);
    map.put (DW_OP_nop.enumString, DW_OP_nop);
    map.put (DW_OP_push_object_address.enumString, DW_OP_push_object_address);
    map.put (DW_OP_call2.enumString, DW_OP_call2);
    map.put (DW_OP_call4.enumString, DW_OP_call4);
    map.put (DW_OP_call_ref.enumString, DW_OP_call_ref);
    map.put (DW_OP_form_tls_address.enumString, DW_OP_form_tls_address);
    map.put (DW_OP_call_frame_cfa.enumString, DW_OP_call_frame_cfa);
    map.put (DW_OP_bit_piece.enumString, DW_OP_bit_piece);
    map.put (DW_OP_lo_user.enumString, DW_OP_lo_user);
    map.put (DW_OP_hi_user.enumString, DW_OP_hi_user);
    return map;
  }
  private static java.util.Map enumMap = getMap ();

  /** Return the DwOpEncodings object that matches the string.  */
  public static DwOpEncodings valueOf (String string)
  {
    return (DwOpEncodings)enumMap.get (string);
  }

  /** Return the DwOpEncodings object that matches the integer.  */
  public static DwOpEncodings valueOf (long i)
  {
    switch ((int)i) {
    case DW_OP_addr_: return DW_OP_addr;
    case DW_OP_deref_: return DW_OP_deref;
    case DW_OP_const1u_: return DW_OP_const1u;
    case DW_OP_const1s_: return DW_OP_const1s;
    case DW_OP_const2u_: return DW_OP_const2u;
    case DW_OP_const2s_: return DW_OP_const2s;
    case DW_OP_const4u_: return DW_OP_const4u;
    case DW_OP_const4s_: return DW_OP_const4s;
    case DW_OP_const8u_: return DW_OP_const8u;
    case DW_OP_const8s_: return DW_OP_const8s;
    case DW_OP_constu_: return DW_OP_constu;
    case DW_OP_consts_: return DW_OP_consts;
    case DW_OP_dup_: return DW_OP_dup;
    case DW_OP_drop_: return DW_OP_drop;
    case DW_OP_over_: return DW_OP_over;
    case DW_OP_pick_: return DW_OP_pick;
    case DW_OP_swap_: return DW_OP_swap;
    case DW_OP_rot_: return DW_OP_rot;
    case DW_OP_xderef_: return DW_OP_xderef;
    case DW_OP_abs_: return DW_OP_abs;
    case DW_OP_and_: return DW_OP_and;
    case DW_OP_div_: return DW_OP_div;
    case DW_OP_minus_: return DW_OP_minus;
    case DW_OP_mod_: return DW_OP_mod;
    case DW_OP_mul_: return DW_OP_mul;
    case DW_OP_neg_: return DW_OP_neg;
    case DW_OP_not_: return DW_OP_not;
    case DW_OP_or_: return DW_OP_or;
    case DW_OP_plus_: return DW_OP_plus;
    case DW_OP_plus_uconst_: return DW_OP_plus_uconst;
    case DW_OP_shl_: return DW_OP_shl;
    case DW_OP_shr_: return DW_OP_shr;
    case DW_OP_shra_: return DW_OP_shra;
    case DW_OP_xor_: return DW_OP_xor;
    case DW_OP_bra_: return DW_OP_bra;
    case DW_OP_eq_: return DW_OP_eq;
    case DW_OP_ge_: return DW_OP_ge;
    case DW_OP_gt_: return DW_OP_gt;
    case DW_OP_le_: return DW_OP_le;
    case DW_OP_lt_: return DW_OP_lt;
    case DW_OP_ne_: return DW_OP_ne;
    case DW_OP_skip_: return DW_OP_skip;
    case DW_OP_lit0_: return DW_OP_lit0;
    case DW_OP_lit1_: return DW_OP_lit1;
    case DW_OP_lit2_: return DW_OP_lit2;
    case DW_OP_lit3_: return DW_OP_lit3;
    case DW_OP_lit4_: return DW_OP_lit4;
    case DW_OP_lit5_: return DW_OP_lit5;
    case DW_OP_lit6_: return DW_OP_lit6;
    case DW_OP_lit7_: return DW_OP_lit7;
    case DW_OP_lit8_: return DW_OP_lit8;
    case DW_OP_lit9_: return DW_OP_lit9;
    case DW_OP_lit10_: return DW_OP_lit10;
    case DW_OP_lit11_: return DW_OP_lit11;
    case DW_OP_lit12_: return DW_OP_lit12;
    case DW_OP_lit13_: return DW_OP_lit13;
    case DW_OP_lit14_: return DW_OP_lit14;
    case DW_OP_lit15_: return DW_OP_lit15;
    case DW_OP_lit16_: return DW_OP_lit16;
    case DW_OP_lit17_: return DW_OP_lit17;
    case DW_OP_lit18_: return DW_OP_lit18;
    case DW_OP_lit19_: return DW_OP_lit19;
    case DW_OP_lit20_: return DW_OP_lit20;
    case DW_OP_lit21_: return DW_OP_lit21;
    case DW_OP_lit22_: return DW_OP_lit22;
    case DW_OP_lit23_: return DW_OP_lit23;
    case DW_OP_lit24_: return DW_OP_lit24;
    case DW_OP_lit25_: return DW_OP_lit25;
    case DW_OP_lit26_: return DW_OP_lit26;
    case DW_OP_lit27_: return DW_OP_lit27;
    case DW_OP_lit28_: return DW_OP_lit28;
    case DW_OP_lit29_: return DW_OP_lit29;
    case DW_OP_lit30_: return DW_OP_lit30;
    case DW_OP_lit31_: return DW_OP_lit31;
    case DW_OP_reg0_: return DW_OP_reg0;
    case DW_OP_reg1_: return DW_OP_reg1;
    case DW_OP_reg2_: return DW_OP_reg2;
    case DW_OP_reg3_: return DW_OP_reg3;
    case DW_OP_reg4_: return DW_OP_reg4;
    case DW_OP_reg5_: return DW_OP_reg5;
    case DW_OP_reg6_: return DW_OP_reg6;
    case DW_OP_reg7_: return DW_OP_reg7;
    case DW_OP_reg8_: return DW_OP_reg8;
    case DW_OP_reg9_: return DW_OP_reg9;
    case DW_OP_reg10_: return DW_OP_reg10;
    case DW_OP_reg11_: return DW_OP_reg11;
    case DW_OP_reg12_: return DW_OP_reg12;
    case DW_OP_reg13_: return DW_OP_reg13;
    case DW_OP_reg14_: return DW_OP_reg14;
    case DW_OP_reg15_: return DW_OP_reg15;
    case DW_OP_reg16_: return DW_OP_reg16;
    case DW_OP_reg17_: return DW_OP_reg17;
    case DW_OP_reg18_: return DW_OP_reg18;
    case DW_OP_reg19_: return DW_OP_reg19;
    case DW_OP_reg20_: return DW_OP_reg20;
    case DW_OP_reg21_: return DW_OP_reg21;
    case DW_OP_reg22_: return DW_OP_reg22;
    case DW_OP_reg23_: return DW_OP_reg23;
    case DW_OP_reg24_: return DW_OP_reg24;
    case DW_OP_reg25_: return DW_OP_reg25;
    case DW_OP_reg26_: return DW_OP_reg26;
    case DW_OP_reg27_: return DW_OP_reg27;
    case DW_OP_reg28_: return DW_OP_reg28;
    case DW_OP_reg29_: return DW_OP_reg29;
    case DW_OP_reg30_: return DW_OP_reg30;
    case DW_OP_reg31_: return DW_OP_reg31;
    case DW_OP_breg0_: return DW_OP_breg0;
    case DW_OP_breg1_: return DW_OP_breg1;
    case DW_OP_breg2_: return DW_OP_breg2;
    case DW_OP_breg3_: return DW_OP_breg3;
    case DW_OP_breg4_: return DW_OP_breg4;
    case DW_OP_breg5_: return DW_OP_breg5;
    case DW_OP_breg6_: return DW_OP_breg6;
    case DW_OP_breg7_: return DW_OP_breg7;
    case DW_OP_breg8_: return DW_OP_breg8;
    case DW_OP_breg9_: return DW_OP_breg9;
    case DW_OP_breg10_: return DW_OP_breg10;
    case DW_OP_breg11_: return DW_OP_breg11;
    case DW_OP_breg12_: return DW_OP_breg12;
    case DW_OP_breg13_: return DW_OP_breg13;
    case DW_OP_breg14_: return DW_OP_breg14;
    case DW_OP_breg15_: return DW_OP_breg15;
    case DW_OP_breg16_: return DW_OP_breg16;
    case DW_OP_breg17_: return DW_OP_breg17;
    case DW_OP_breg18_: return DW_OP_breg18;
    case DW_OP_breg19_: return DW_OP_breg19;
    case DW_OP_breg20_: return DW_OP_breg20;
    case DW_OP_breg21_: return DW_OP_breg21;
    case DW_OP_breg22_: return DW_OP_breg22;
    case DW_OP_breg23_: return DW_OP_breg23;
    case DW_OP_breg24_: return DW_OP_breg24;
    case DW_OP_breg25_: return DW_OP_breg25;
    case DW_OP_breg26_: return DW_OP_breg26;
    case DW_OP_breg27_: return DW_OP_breg27;
    case DW_OP_breg28_: return DW_OP_breg28;
    case DW_OP_breg29_: return DW_OP_breg29;
    case DW_OP_breg30_: return DW_OP_breg30;
    case DW_OP_breg31_: return DW_OP_breg31;
    case DW_OP_regx_: return DW_OP_regx;
    case DW_OP_fbreg_: return DW_OP_fbreg;
    case DW_OP_bregx_: return DW_OP_bregx;
    case DW_OP_piece_: return DW_OP_piece;
    case DW_OP_deref_size_: return DW_OP_deref_size;
    case DW_OP_xderef_size_: return DW_OP_xderef_size;
    case DW_OP_nop_: return DW_OP_nop;
    case DW_OP_push_object_address_: return DW_OP_push_object_address;
    case DW_OP_call2_: return DW_OP_call2;
    case DW_OP_call4_: return DW_OP_call4;
    case DW_OP_call_ref_: return DW_OP_call_ref;
    case DW_OP_form_tls_address_: return DW_OP_form_tls_address;
    case DW_OP_call_frame_cfa_: return DW_OP_call_frame_cfa;
    case DW_OP_bit_piece_: return DW_OP_bit_piece;
    case DW_OP_lo_user_: return DW_OP_lo_user;
    case DW_OP_hi_user_: return DW_OP_hi_user;
    default: return null;
    }
  }

  /** Return an array of all the DwOpEncodings elements.  */
  public static DwOpEncodings[] values ()
  {
    return (DwOpEncodings[]) enumMap.values ().toArray (new DwOpEncodings[0]);
  }

  /**
   * Returns the full underscore delimited name of the
   * field corresponding to the value I.
   */
  static public String toString (long i)
  {
    DwOpEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toString ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I.
   */
  static public String toPrintString (long i)
  {
    DwOpEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toPrint ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I, or DEF is there
   * is no such field.
   */
  static public String toPrintString (long i, String def)
  {
    DwOpEncodings c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toPrint ();
  }

  /**
   * Returns just the name part of the num corresponding to I.
   */
  static public String toName (long i)
  {
    DwOpEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toName ();
  }

  /**
   * Returns just the name part of the num corresponding to I,
   * or DEF is there is no such field.
   */
  static public String toName (long i, String def)
  {
    DwOpEncodings c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toName ();
  }
}
