package lib.dwfl;

public class DwTagEncodings
  implements Comparable
{
  private final String enumString;
  private final int enumValue;
  private final String enumPrint;
  private final String enumName;
  private DwTagEncodings (int value, String string, String print, String name)
  {
    enumString = string;
    enumValue = value;
    enumPrint = print;
    enumName = name;
  }
  /** Return the qualified name of the enum.  */
  public String toString ()
  {
    return enumString;
  }
  /** Return a printable version of the enum.  */
  public String toPrint ()
  {
    return enumPrint;
  }
  /** Return the name of just the enum.  */
  public String toName ()
  {
    return enumName;
  }
  public boolean equals (Object o)
  {
    if (o instanceof DwTagEncodings)
      return ((DwTagEncodings) o).enumValue == this.enumValue;
    else
      return false;
  }
  public int hashCode ()
  {
    return enumValue;
  }
  public int compareTo (Object o)
  {
    DwTagEncodings rhs = (DwTagEncodings) o; // Can throw - ok.
    return rhs.enumValue - this.enumValue;
  }
  static public final int DW_TAG_array_type_ = 0x01;
  static public final DwTagEncodings DW_TAG_array_type = new DwTagEncodings (0x01, "DwTagEncodings_DW_TAG_array_type", "DW TAG array type", "DW_TAG_array_type");
  static public final int DW_TAG_class_type_ = 0x02;
  static public final DwTagEncodings DW_TAG_class_type = new DwTagEncodings (0x02, "DwTagEncodings_DW_TAG_class_type", "DW TAG class type", "DW_TAG_class_type");
  static public final int DW_TAG_entry_point_ = 0x03;
  static public final DwTagEncodings DW_TAG_entry_point = new DwTagEncodings (0x03, "DwTagEncodings_DW_TAG_entry_point", "DW TAG entry point", "DW_TAG_entry_point");
  static public final int DW_TAG_enumeration_type_ = 0x04;
  static public final DwTagEncodings DW_TAG_enumeration_type = new DwTagEncodings (0x04, "DwTagEncodings_DW_TAG_enumeration_type", "DW TAG enumeration type", "DW_TAG_enumeration_type");
  static public final int DW_TAG_formal_parameter_ = 0x05;
  static public final DwTagEncodings DW_TAG_formal_parameter = new DwTagEncodings (0x05, "DwTagEncodings_DW_TAG_formal_parameter", "DW TAG formal parameter", "DW_TAG_formal_parameter");
  static public final int DW_TAG_imported_declaration_ = 0x08;
  static public final DwTagEncodings DW_TAG_imported_declaration = new DwTagEncodings (0x08, "DwTagEncodings_DW_TAG_imported_declaration", "DW TAG imported declaration", "DW_TAG_imported_declaration");
  static public final int DW_TAG_label_ = 0x0a;
  static public final DwTagEncodings DW_TAG_label = new DwTagEncodings (0x0a, "DwTagEncodings_DW_TAG_label", "DW TAG label", "DW_TAG_label");
  static public final int DW_TAG_lexical_block_ = 0x0b;
  static public final DwTagEncodings DW_TAG_lexical_block = new DwTagEncodings (0x0b, "DwTagEncodings_DW_TAG_lexical_block", "DW TAG lexical block", "DW_TAG_lexical_block");
  static public final int DW_TAG_member_ = 0x0d;
  static public final DwTagEncodings DW_TAG_member = new DwTagEncodings (0x0d, "DwTagEncodings_DW_TAG_member", "DW TAG member", "DW_TAG_member");
  static public final int DW_TAG_pointer_type_ = 0x0f;
  static public final DwTagEncodings DW_TAG_pointer_type = new DwTagEncodings (0x0f, "DwTagEncodings_DW_TAG_pointer_type", "DW TAG pointer type", "DW_TAG_pointer_type");
  static public final int DW_TAG_reference_type_ = 0x10;
  static public final DwTagEncodings DW_TAG_reference_type = new DwTagEncodings (0x10, "DwTagEncodings_DW_TAG_reference_type", "DW TAG reference type", "DW_TAG_reference_type");
  static public final int DW_TAG_compile_unit_ = 0x11;
  static public final DwTagEncodings DW_TAG_compile_unit = new DwTagEncodings (0x11, "DwTagEncodings_DW_TAG_compile_unit", "DW TAG compile unit", "DW_TAG_compile_unit");
  static public final int DW_TAG_string_type_ = 0x12;
  static public final DwTagEncodings DW_TAG_string_type = new DwTagEncodings (0x12, "DwTagEncodings_DW_TAG_string_type", "DW TAG string type", "DW_TAG_string_type");
  static public final int DW_TAG_structure_type_ = 0x13;
  static public final DwTagEncodings DW_TAG_structure_type = new DwTagEncodings (0x13, "DwTagEncodings_DW_TAG_structure_type", "DW TAG structure type", "DW_TAG_structure_type");
  static public final int DW_TAG_subroutine_type_ = 0x15;
  static public final DwTagEncodings DW_TAG_subroutine_type = new DwTagEncodings (0x15, "DwTagEncodings_DW_TAG_subroutine_type", "DW TAG subroutine type", "DW_TAG_subroutine_type");
  static public final int DW_TAG_typedef_ = 0x16;
  static public final DwTagEncodings DW_TAG_typedef = new DwTagEncodings (0x16, "DwTagEncodings_DW_TAG_typedef", "DW TAG typedef", "DW_TAG_typedef");
  static public final int DW_TAG_union_type_ = 0x17;
  static public final DwTagEncodings DW_TAG_union_type = new DwTagEncodings (0x17, "DwTagEncodings_DW_TAG_union_type", "DW TAG union type", "DW_TAG_union_type");
  static public final int DW_TAG_unspecified_parameters_ = 0x18;
  static public final DwTagEncodings DW_TAG_unspecified_parameters = new DwTagEncodings (0x18, "DwTagEncodings_DW_TAG_unspecified_parameters", "DW TAG unspecified parameters", "DW_TAG_unspecified_parameters");
  static public final int DW_TAG_variant_ = 0x19;
  static public final DwTagEncodings DW_TAG_variant = new DwTagEncodings (0x19, "DwTagEncodings_DW_TAG_variant", "DW TAG variant", "DW_TAG_variant");
  static public final int DW_TAG_common_block_ = 0x1a;
  static public final DwTagEncodings DW_TAG_common_block = new DwTagEncodings (0x1a, "DwTagEncodings_DW_TAG_common_block", "DW TAG common block", "DW_TAG_common_block");
  static public final int DW_TAG_common_inclusion_ = 0x1b;
  static public final DwTagEncodings DW_TAG_common_inclusion = new DwTagEncodings (0x1b, "DwTagEncodings_DW_TAG_common_inclusion", "DW TAG common inclusion", "DW_TAG_common_inclusion");
  static public final int DW_TAG_inheritance_ = 0x1c;
  static public final DwTagEncodings DW_TAG_inheritance = new DwTagEncodings (0x1c, "DwTagEncodings_DW_TAG_inheritance", "DW TAG inheritance", "DW_TAG_inheritance");
  static public final int DW_TAG_inlined_subroutine_ = 0x1d;
  static public final DwTagEncodings DW_TAG_inlined_subroutine = new DwTagEncodings (0x1d, "DwTagEncodings_DW_TAG_inlined_subroutine", "DW TAG inlined subroutine", "DW_TAG_inlined_subroutine");
  static public final int DW_TAG_module_ = 0x1e;
  static public final DwTagEncodings DW_TAG_module = new DwTagEncodings (0x1e, "DwTagEncodings_DW_TAG_module", "DW TAG module", "DW_TAG_module");
  static public final int DW_TAG_ptr_to_member_type_ = 0x1f;
  static public final DwTagEncodings DW_TAG_ptr_to_member_type = new DwTagEncodings (0x1f, "DwTagEncodings_DW_TAG_ptr_to_member_type", "DW TAG ptr to member type", "DW_TAG_ptr_to_member_type");
  static public final int DW_TAG_set_type_ = 0x20;
  static public final DwTagEncodings DW_TAG_set_type = new DwTagEncodings (0x20, "DwTagEncodings_DW_TAG_set_type", "DW TAG set type", "DW_TAG_set_type");
  static public final int DW_TAG_subrange_type_ = 0x21;
  static public final DwTagEncodings DW_TAG_subrange_type = new DwTagEncodings (0x21, "DwTagEncodings_DW_TAG_subrange_type", "DW TAG subrange type", "DW_TAG_subrange_type");
  static public final int DW_TAG_with_stmt_ = 0x22;
  static public final DwTagEncodings DW_TAG_with_stmt = new DwTagEncodings (0x22, "DwTagEncodings_DW_TAG_with_stmt", "DW TAG with stmt", "DW_TAG_with_stmt");
  static public final int DW_TAG_access_declaration_ = 0x23;
  static public final DwTagEncodings DW_TAG_access_declaration = new DwTagEncodings (0x23, "DwTagEncodings_DW_TAG_access_declaration", "DW TAG access declaration", "DW_TAG_access_declaration");
  static public final int DW_TAG_base_type_ = 0x24;
  static public final DwTagEncodings DW_TAG_base_type = new DwTagEncodings (0x24, "DwTagEncodings_DW_TAG_base_type", "DW TAG base type", "DW_TAG_base_type");
  static public final int DW_TAG_catch_block_ = 0x25;
  static public final DwTagEncodings DW_TAG_catch_block = new DwTagEncodings (0x25, "DwTagEncodings_DW_TAG_catch_block", "DW TAG catch block", "DW_TAG_catch_block");
  static public final int DW_TAG_const_type_ = 0x26;
  static public final DwTagEncodings DW_TAG_const_type = new DwTagEncodings (0x26, "DwTagEncodings_DW_TAG_const_type", "DW TAG const type", "DW_TAG_const_type");
  static public final int DW_TAG_constant_ = 0x27;
  static public final DwTagEncodings DW_TAG_constant = new DwTagEncodings (0x27, "DwTagEncodings_DW_TAG_constant", "DW TAG constant", "DW_TAG_constant");
  static public final int DW_TAG_enumerator_ = 0x28;
  static public final DwTagEncodings DW_TAG_enumerator = new DwTagEncodings (0x28, "DwTagEncodings_DW_TAG_enumerator", "DW TAG enumerator", "DW_TAG_enumerator");
  static public final int DW_TAG_file_type_ = 0x29;
  static public final DwTagEncodings DW_TAG_file_type = new DwTagEncodings (0x29, "DwTagEncodings_DW_TAG_file_type", "DW TAG file type", "DW_TAG_file_type");
  static public final int DW_TAG_friend_ = 0x2a;
  static public final DwTagEncodings DW_TAG_friend = new DwTagEncodings (0x2a, "DwTagEncodings_DW_TAG_friend", "DW TAG friend", "DW_TAG_friend");
  static public final int DW_TAG_namelist_ = 0x2b;
  static public final DwTagEncodings DW_TAG_namelist = new DwTagEncodings (0x2b, "DwTagEncodings_DW_TAG_namelist", "DW TAG namelist", "DW_TAG_namelist");
  static public final int DW_TAG_namelist_item_ = 0x2c;
  static public final DwTagEncodings DW_TAG_namelist_item = new DwTagEncodings (0x2c, "DwTagEncodings_DW_TAG_namelist_item", "DW TAG namelist item", "DW_TAG_namelist_item");
  static public final int DW_TAG_packed_type_ = 0x2d;
  static public final DwTagEncodings DW_TAG_packed_type = new DwTagEncodings (0x2d, "DwTagEncodings_DW_TAG_packed_type", "DW TAG packed type", "DW_TAG_packed_type");
  static public final int DW_TAG_subprogram_ = 0x2e;
  static public final DwTagEncodings DW_TAG_subprogram = new DwTagEncodings (0x2e, "DwTagEncodings_DW_TAG_subprogram", "DW TAG subprogram", "DW_TAG_subprogram");
  static public final int DW_TAG_template_type_parameter_ = 0x2f;
  static public final DwTagEncodings DW_TAG_template_type_parameter = new DwTagEncodings (0x2f, "DwTagEncodings_DW_TAG_template_type_parameter", "DW TAG template type parameter", "DW_TAG_template_type_parameter");
  static public final int DW_TAG_template_value_parameter_ = 0x30;
  static public final DwTagEncodings DW_TAG_template_value_parameter = new DwTagEncodings (0x30, "DwTagEncodings_DW_TAG_template_value_parameter", "DW TAG template value parameter", "DW_TAG_template_value_parameter");
  static public final int DW_TAG_thrown_type_ = 0x31;
  static public final DwTagEncodings DW_TAG_thrown_type = new DwTagEncodings (0x31, "DwTagEncodings_DW_TAG_thrown_type", "DW TAG thrown type", "DW_TAG_thrown_type");
  static public final int DW_TAG_try_block_ = 0x32;
  static public final DwTagEncodings DW_TAG_try_block = new DwTagEncodings (0x32, "DwTagEncodings_DW_TAG_try_block", "DW TAG try block", "DW_TAG_try_block");
  static public final int DW_TAG_variant_part_ = 0x33;
  static public final DwTagEncodings DW_TAG_variant_part = new DwTagEncodings (0x33, "DwTagEncodings_DW_TAG_variant_part", "DW TAG variant part", "DW_TAG_variant_part");
  static public final int DW_TAG_variable_ = 0x34;
  static public final DwTagEncodings DW_TAG_variable = new DwTagEncodings (0x34, "DwTagEncodings_DW_TAG_variable", "DW TAG variable", "DW_TAG_variable");
  static public final int DW_TAG_volatile_type_ = 0x35;
  static public final DwTagEncodings DW_TAG_volatile_type = new DwTagEncodings (0x35, "DwTagEncodings_DW_TAG_volatile_type", "DW TAG volatile type", "DW_TAG_volatile_type");
  static public final int DW_TAG_dwarf_procedure_ = 0x36;
  static public final DwTagEncodings DW_TAG_dwarf_procedure = new DwTagEncodings (0x36, "DwTagEncodings_DW_TAG_dwarf_procedure", "DW TAG dwarf procedure", "DW_TAG_dwarf_procedure");
  static public final int DW_TAG_restrict_type_ = 0x37;
  static public final DwTagEncodings DW_TAG_restrict_type = new DwTagEncodings (0x37, "DwTagEncodings_DW_TAG_restrict_type", "DW TAG restrict type", "DW_TAG_restrict_type");
  static public final int DW_TAG_interface_type_ = 0x38;
  static public final DwTagEncodings DW_TAG_interface_type = new DwTagEncodings (0x38, "DwTagEncodings_DW_TAG_interface_type", "DW TAG interface type", "DW_TAG_interface_type");
  static public final int DW_TAG_namespace_ = 0x39;
  static public final DwTagEncodings DW_TAG_namespace = new DwTagEncodings (0x39, "DwTagEncodings_DW_TAG_namespace", "DW TAG namespace", "DW_TAG_namespace");
  static public final int DW_TAG_imported_module_ = 0x3a;
  static public final DwTagEncodings DW_TAG_imported_module = new DwTagEncodings (0x3a, "DwTagEncodings_DW_TAG_imported_module", "DW TAG imported module", "DW_TAG_imported_module");
  static public final int DW_TAG_unspecified_type_ = 0x3b;
  static public final DwTagEncodings DW_TAG_unspecified_type = new DwTagEncodings (0x3b, "DwTagEncodings_DW_TAG_unspecified_type", "DW TAG unspecified type", "DW_TAG_unspecified_type");
  static public final int DW_TAG_partial_unit_ = 0x3c;
  static public final DwTagEncodings DW_TAG_partial_unit = new DwTagEncodings (0x3c, "DwTagEncodings_DW_TAG_partial_unit", "DW TAG partial unit", "DW_TAG_partial_unit");
  static public final int DW_TAG_imported_unit_ = 0x3d;
  static public final DwTagEncodings DW_TAG_imported_unit = new DwTagEncodings (0x3d, "DwTagEncodings_DW_TAG_imported_unit", "DW TAG imported unit", "DW_TAG_imported_unit");
  static public final int DW_TAG_mutable_type_ = 0x3e;
  static public final DwTagEncodings DW_TAG_mutable_type = new DwTagEncodings (0x3e, "DwTagEncodings_DW_TAG_mutable_type", "DW TAG mutable type", "DW_TAG_mutable_type");
  static public final int DW_TAG_condition_ = 0x3f;
  static public final DwTagEncodings DW_TAG_condition = new DwTagEncodings (0x3f, "DwTagEncodings_DW_TAG_condition", "DW TAG condition", "DW_TAG_condition");
  static public final int DW_TAG_shared_type_ = 0x40;
  static public final DwTagEncodings DW_TAG_shared_type = new DwTagEncodings (0x40, "DwTagEncodings_DW_TAG_shared_type", "DW TAG shared type", "DW_TAG_shared_type");
  static public final int DW_TAG_lo_user_ = 0x4080;
  static public final DwTagEncodings DW_TAG_lo_user = new DwTagEncodings (0x4080, "DwTagEncodings_DW_TAG_lo_user", "DW TAG lo user", "DW_TAG_lo_user");
  static public final int DW_TAG_MIPS_loop_ = 0x4081;
  static public final DwTagEncodings DW_TAG_MIPS_loop = new DwTagEncodings (0x4081, "DwTagEncodings_DW_TAG_MIPS_loop", "DW TAG MIPS loop", "DW_TAG_MIPS_loop");
  static public final int DW_TAG_format_label_ = 0x4101;
  static public final DwTagEncodings DW_TAG_format_label = new DwTagEncodings (0x4101, "DwTagEncodings_DW_TAG_format_label", "DW TAG format label", "DW_TAG_format_label");
  static public final int DW_TAG_function_template_ = 0x4102;
  static public final DwTagEncodings DW_TAG_function_template = new DwTagEncodings (0x4102, "DwTagEncodings_DW_TAG_function_template", "DW TAG function template", "DW_TAG_function_template");
  static public final int DW_TAG_class_template_ = 0x4103;
  static public final DwTagEncodings DW_TAG_class_template = new DwTagEncodings (0x4103, "DwTagEncodings_DW_TAG_class_template", "DW TAG class template", "DW_TAG_class_template");
  static public final int DW_TAG_hi_user_ = 0xffff;
  static public final DwTagEncodings DW_TAG_hi_user = new DwTagEncodings (0xffff, "DwTagEncodings_DW_TAG_hi_user", "DW TAG hi user", "DW_TAG_hi_user");

  /** Create a HashMap containing all the DwTagEncodings elements.  */
  private static java.util.Map getMap ()
  {
    java.util.Map map;
    map = new java.util.HashMap ();
    map.put (DW_TAG_array_type.enumString, DW_TAG_array_type);
    map.put (DW_TAG_class_type.enumString, DW_TAG_class_type);
    map.put (DW_TAG_entry_point.enumString, DW_TAG_entry_point);
    map.put (DW_TAG_enumeration_type.enumString, DW_TAG_enumeration_type);
    map.put (DW_TAG_formal_parameter.enumString, DW_TAG_formal_parameter);
    map.put (DW_TAG_imported_declaration.enumString, DW_TAG_imported_declaration);
    map.put (DW_TAG_label.enumString, DW_TAG_label);
    map.put (DW_TAG_lexical_block.enumString, DW_TAG_lexical_block);
    map.put (DW_TAG_member.enumString, DW_TAG_member);
    map.put (DW_TAG_pointer_type.enumString, DW_TAG_pointer_type);
    map.put (DW_TAG_reference_type.enumString, DW_TAG_reference_type);
    map.put (DW_TAG_compile_unit.enumString, DW_TAG_compile_unit);
    map.put (DW_TAG_string_type.enumString, DW_TAG_string_type);
    map.put (DW_TAG_structure_type.enumString, DW_TAG_structure_type);
    map.put (DW_TAG_subroutine_type.enumString, DW_TAG_subroutine_type);
    map.put (DW_TAG_typedef.enumString, DW_TAG_typedef);
    map.put (DW_TAG_union_type.enumString, DW_TAG_union_type);
    map.put (DW_TAG_unspecified_parameters.enumString, DW_TAG_unspecified_parameters);
    map.put (DW_TAG_variant.enumString, DW_TAG_variant);
    map.put (DW_TAG_common_block.enumString, DW_TAG_common_block);
    map.put (DW_TAG_common_inclusion.enumString, DW_TAG_common_inclusion);
    map.put (DW_TAG_inheritance.enumString, DW_TAG_inheritance);
    map.put (DW_TAG_inlined_subroutine.enumString, DW_TAG_inlined_subroutine);
    map.put (DW_TAG_module.enumString, DW_TAG_module);
    map.put (DW_TAG_ptr_to_member_type.enumString, DW_TAG_ptr_to_member_type);
    map.put (DW_TAG_set_type.enumString, DW_TAG_set_type);
    map.put (DW_TAG_subrange_type.enumString, DW_TAG_subrange_type);
    map.put (DW_TAG_with_stmt.enumString, DW_TAG_with_stmt);
    map.put (DW_TAG_access_declaration.enumString, DW_TAG_access_declaration);
    map.put (DW_TAG_base_type.enumString, DW_TAG_base_type);
    map.put (DW_TAG_catch_block.enumString, DW_TAG_catch_block);
    map.put (DW_TAG_const_type.enumString, DW_TAG_const_type);
    map.put (DW_TAG_constant.enumString, DW_TAG_constant);
    map.put (DW_TAG_enumerator.enumString, DW_TAG_enumerator);
    map.put (DW_TAG_file_type.enumString, DW_TAG_file_type);
    map.put (DW_TAG_friend.enumString, DW_TAG_friend);
    map.put (DW_TAG_namelist.enumString, DW_TAG_namelist);
    map.put (DW_TAG_namelist_item.enumString, DW_TAG_namelist_item);
    map.put (DW_TAG_packed_type.enumString, DW_TAG_packed_type);
    map.put (DW_TAG_subprogram.enumString, DW_TAG_subprogram);
    map.put (DW_TAG_template_type_parameter.enumString, DW_TAG_template_type_parameter);
    map.put (DW_TAG_template_value_parameter.enumString, DW_TAG_template_value_parameter);
    map.put (DW_TAG_thrown_type.enumString, DW_TAG_thrown_type);
    map.put (DW_TAG_try_block.enumString, DW_TAG_try_block);
    map.put (DW_TAG_variant_part.enumString, DW_TAG_variant_part);
    map.put (DW_TAG_variable.enumString, DW_TAG_variable);
    map.put (DW_TAG_volatile_type.enumString, DW_TAG_volatile_type);
    map.put (DW_TAG_dwarf_procedure.enumString, DW_TAG_dwarf_procedure);
    map.put (DW_TAG_restrict_type.enumString, DW_TAG_restrict_type);
    map.put (DW_TAG_interface_type.enumString, DW_TAG_interface_type);
    map.put (DW_TAG_namespace.enumString, DW_TAG_namespace);
    map.put (DW_TAG_imported_module.enumString, DW_TAG_imported_module);
    map.put (DW_TAG_unspecified_type.enumString, DW_TAG_unspecified_type);
    map.put (DW_TAG_partial_unit.enumString, DW_TAG_partial_unit);
    map.put (DW_TAG_imported_unit.enumString, DW_TAG_imported_unit);
    map.put (DW_TAG_mutable_type.enumString, DW_TAG_mutable_type);
    map.put (DW_TAG_condition.enumString, DW_TAG_condition);
    map.put (DW_TAG_shared_type.enumString, DW_TAG_shared_type);
    map.put (DW_TAG_lo_user.enumString, DW_TAG_lo_user);
    map.put (DW_TAG_MIPS_loop.enumString, DW_TAG_MIPS_loop);
    map.put (DW_TAG_format_label.enumString, DW_TAG_format_label);
    map.put (DW_TAG_function_template.enumString, DW_TAG_function_template);
    map.put (DW_TAG_class_template.enumString, DW_TAG_class_template);
    map.put (DW_TAG_hi_user.enumString, DW_TAG_hi_user);
    return map;
  }
  private static java.util.Map enumMap = getMap ();

  /** Return the DwTagEncodings object that matches the string.  */
  public static DwTagEncodings valueOf (String string)
  {
    return (DwTagEncodings)enumMap.get (string);
  }

  /** Return the DwTagEncodings object that matches the integer.  */
  public static DwTagEncodings valueOf (long i)
  {
    switch ((int)i) {
    case DW_TAG_array_type_: return DW_TAG_array_type;
    case DW_TAG_class_type_: return DW_TAG_class_type;
    case DW_TAG_entry_point_: return DW_TAG_entry_point;
    case DW_TAG_enumeration_type_: return DW_TAG_enumeration_type;
    case DW_TAG_formal_parameter_: return DW_TAG_formal_parameter;
    case DW_TAG_imported_declaration_: return DW_TAG_imported_declaration;
    case DW_TAG_label_: return DW_TAG_label;
    case DW_TAG_lexical_block_: return DW_TAG_lexical_block;
    case DW_TAG_member_: return DW_TAG_member;
    case DW_TAG_pointer_type_: return DW_TAG_pointer_type;
    case DW_TAG_reference_type_: return DW_TAG_reference_type;
    case DW_TAG_compile_unit_: return DW_TAG_compile_unit;
    case DW_TAG_string_type_: return DW_TAG_string_type;
    case DW_TAG_structure_type_: return DW_TAG_structure_type;
    case DW_TAG_subroutine_type_: return DW_TAG_subroutine_type;
    case DW_TAG_typedef_: return DW_TAG_typedef;
    case DW_TAG_union_type_: return DW_TAG_union_type;
    case DW_TAG_unspecified_parameters_: return DW_TAG_unspecified_parameters;
    case DW_TAG_variant_: return DW_TAG_variant;
    case DW_TAG_common_block_: return DW_TAG_common_block;
    case DW_TAG_common_inclusion_: return DW_TAG_common_inclusion;
    case DW_TAG_inheritance_: return DW_TAG_inheritance;
    case DW_TAG_inlined_subroutine_: return DW_TAG_inlined_subroutine;
    case DW_TAG_module_: return DW_TAG_module;
    case DW_TAG_ptr_to_member_type_: return DW_TAG_ptr_to_member_type;
    case DW_TAG_set_type_: return DW_TAG_set_type;
    case DW_TAG_subrange_type_: return DW_TAG_subrange_type;
    case DW_TAG_with_stmt_: return DW_TAG_with_stmt;
    case DW_TAG_access_declaration_: return DW_TAG_access_declaration;
    case DW_TAG_base_type_: return DW_TAG_base_type;
    case DW_TAG_catch_block_: return DW_TAG_catch_block;
    case DW_TAG_const_type_: return DW_TAG_const_type;
    case DW_TAG_constant_: return DW_TAG_constant;
    case DW_TAG_enumerator_: return DW_TAG_enumerator;
    case DW_TAG_file_type_: return DW_TAG_file_type;
    case DW_TAG_friend_: return DW_TAG_friend;
    case DW_TAG_namelist_: return DW_TAG_namelist;
    case DW_TAG_namelist_item_: return DW_TAG_namelist_item;
    case DW_TAG_packed_type_: return DW_TAG_packed_type;
    case DW_TAG_subprogram_: return DW_TAG_subprogram;
    case DW_TAG_template_type_parameter_: return DW_TAG_template_type_parameter;
    case DW_TAG_template_value_parameter_: return DW_TAG_template_value_parameter;
    case DW_TAG_thrown_type_: return DW_TAG_thrown_type;
    case DW_TAG_try_block_: return DW_TAG_try_block;
    case DW_TAG_variant_part_: return DW_TAG_variant_part;
    case DW_TAG_variable_: return DW_TAG_variable;
    case DW_TAG_volatile_type_: return DW_TAG_volatile_type;
    case DW_TAG_dwarf_procedure_: return DW_TAG_dwarf_procedure;
    case DW_TAG_restrict_type_: return DW_TAG_restrict_type;
    case DW_TAG_interface_type_: return DW_TAG_interface_type;
    case DW_TAG_namespace_: return DW_TAG_namespace;
    case DW_TAG_imported_module_: return DW_TAG_imported_module;
    case DW_TAG_unspecified_type_: return DW_TAG_unspecified_type;
    case DW_TAG_partial_unit_: return DW_TAG_partial_unit;
    case DW_TAG_imported_unit_: return DW_TAG_imported_unit;
    case DW_TAG_mutable_type_: return DW_TAG_mutable_type;
    case DW_TAG_condition_: return DW_TAG_condition;
    case DW_TAG_shared_type_: return DW_TAG_shared_type;
    case DW_TAG_lo_user_: return DW_TAG_lo_user;
    case DW_TAG_MIPS_loop_: return DW_TAG_MIPS_loop;
    case DW_TAG_format_label_: return DW_TAG_format_label;
    case DW_TAG_function_template_: return DW_TAG_function_template;
    case DW_TAG_class_template_: return DW_TAG_class_template;
    case DW_TAG_hi_user_: return DW_TAG_hi_user;
    default: return null;
    }
  }

  /** Return an array of all the DwTagEncodings elements.  */
  public static DwTagEncodings[] values ()
  {
    return (DwTagEncodings[]) enumMap.values ().toArray (new DwTagEncodings[0]);
  }

  /**
   * Returns the full underscore delimited name of the
   * field corresponding to the value I.
   */
  static public String toString (long i)
  {
    DwTagEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toString ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I.
   */
  static public String toPrintString (long i)
  {
    DwTagEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toPrint ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I, or DEF is there
   * is no such field.
   */
  static public String toPrintString (long i, String def)
  {
    DwTagEncodings c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toPrint ();
  }

  /**
   * Returns just the name part of the num corresponding to I.
   */
  static public String toName (long i)
  {
    DwTagEncodings c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toName ();
  }

  /**
   * Returns just the name part of the num corresponding to I,
   * or DEF is there is no such field.
   */
  static public String toName (long i, String def)
  {
    DwTagEncodings c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toName ();
  }
}
